List generated Artifact views for a Workflow
curl --request GET \
--url https://api.openworklabs.com/v1/workflows/{configObjectId}/views \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/workflows/{configObjectId}/views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/workflows/{configObjectId}/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"configObjectId": "<string>",
"title": "<string>",
"description": "<string>",
"status": "active",
"activeRevisionId": "<string>",
"revisions": [
{
"id": "<string>",
"artifactViewId": "<string>",
"resourceUri": "<string>",
"buildStatus": "ready",
"sourceDigest": "<string>",
"resourceDigest": "<string>",
"outputSchemaDigest": "<string>",
"csp": {
"connectDomains": [
"<string>"
],
"resourceDomains": [
"<string>"
],
"frameDomains": [
"<string>"
],
"baseUriDomains": [
"<string>"
]
},
"diagnostics": [
{
"level": "error",
"message": "<string>",
"line": 4503599627370495,
"column": 4503599627370495
}
],
"compilerName": "<string>",
"compilerVersion": "<string>",
"reactVersion": "<string>",
"compiledHtmlBytes": 4503599627370495,
"retiredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"useInWorkflow": true
}
]
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "<string>",
"message": "<string>"
}Workflows
List generated Artifact views for a Workflow
Lists the generated Artifact views bound to this Workflow, newest first, each with its recent revisions and their build status. Requires read access to the Workflow. Returns an empty list when generated Artifact views are disabled for the deployment.
GET
/
v1
/
workflows
/
{configObjectId}
/
views
List generated Artifact views for a Workflow
Was this page helpful?